<?
/*----------------------------- start title -----------------------------------

ADC2000+ v3.0.3 - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* Impression module
* ---------------------------------------------

* Created for MySQL server
* Database: adc2000
* ---------------------------------------------

* include files:
* adc2000.inc      - include file with global variables and functions
* adc2000h.inc     - HTML header file (Copyright information)
* db-interface.inc - DB Layout

* Information for MySQL:
* LOCK TABLES table_name [AS alias] READ|WRITE [, table_name READ|WRITE]
* ...
* UNLOCK TABLES
*
* Locks tables for this thread. If a thread has a READ lock on a table, the
* thread (and all other threads) can only read from the table. If a thread has
* a WRITE lock one a table, then only this thread can READ and WRITE on the
* table. All threads waits until they get all locks (no timeouts). 

------------------------------- end title -----------------------------------*/
include("adc2000.inc");
Header("Cache-Control: no-cache, must-revalidate");

if (!$debug_flag) {
  $timer = new c_Timer; 
  $timer->start(); 
}
$HEAD = "ERROR";
$TITLE = "ERROR";

if ($uid == "") {
  include("adc2000h.inc");
  $MSG = "ACCESS DENIED";
  include("adcmsg.php");
  exit();
}


// ----| Connect to database
$connect = mysql_connect($db_host, $db_user, $db_passwd) or die("Unadle to connect to SQL server");
mysql_select_db($db_name, $connect) or die("Unable to select adc2000 DataBase");

// ----| Get server's settings
$result = mysql_query("select lock_flag,adc_dir,banner_dir,extitle,banner_w,banner_h,mbanner_w,mbanner_h from server_set") or die('Can not select from Server settings table');
list($lock_flg,$target_url,$banner_path,$extitle,$banner_w,$banner_h,$mbanner_w,$mbanner_h) = mysql_fetch_row($result);
$bnet_url = $target_url;


/*
// ----| Track lifetime
if ($time_uid) $time_uid = 0;
//echo "COOKIES: $HTTP_COOKIE<br>\n";
$coo_string = select_parse($HTTP_COOKIE,"; ");
$num_coo = count($coo_string);
for ($i=0; $i<=$num_coo; $i++) {
  $coo = select_parse($coo_string[$i],"=");
  switch ($coo[0]) {
   case "t_uid$uid":
      $siteowner_uid = $coo[1];
      break;
    case "b_uid$uid":
      $bannerowner_uid = $coo[1];
      break;
    case "url$uid":
      $bannerowner_url = urldecode($coo[1]);
      break;
    case "time$uid":
      $time_uid = $coo[1];
      break;
  }
}

if ($time_uid) {
  Header("P3P: CP=\"UNI\"");
echo "time_uid: $time_uid<br>\n";
  list($l_yer,$l_mon,$l_day,$l_hur,$l_min,$l_sec) = explode("+",$time_uid); 
  if (!$l_yer) $l_yer = 2000; if (!$l_mon) $l_mon = 1; if (!$l_day) $l_day = 1;
  if (!$l_hur) $l_hur = 1; if (!$l_min) $l_min = 1; if (!$l_sec) $l_sec = 1;
  $usr_lsttime = date("Y m d H i s",mktime($l_hur,$l_min,$l_sec+$newallow,$l_mon,$l_day,$l_yer)); 
  $usr_curtime = date("Y m d H i s");
echo "usr_lsttime: $usr_lsttime<br>\n";
echo "usr_curtime: $usr_curtime<br>\n";
  if ($usr_curtime <= $usr_lsttime) {
    if ($siteowner_uid == 0) {
      SetCookie("time$uid",date("Y m d H i s"));
      $target = "$banner_path".OWNER;
      Header("Location: $target");
      mysql_free_result($result);
      mysql_close($connect);
      exit();
    }
    else {
      SetCookie("time$uid",date("Y m d H i s"));
      $res_b = mysql_query("select banner_name from banner where banner.user_id=$bannerowner_uid")
               or die('Can not select from Banners table');
      list($banner_name) = mysql_fetch_row($res_b);
      mysql_free_result($result);
      mysql_free_result($res_b);
      mysql_close($connect);
      $target = "$banner_path"."$banner_name";
      Header("Location: $target");
      exit();
    }
  }
}
*/

// Counter code
if ($counter_mode == 0) {
  $result = mysql_query("select active_flag,total_visitors,unique_visitors from user,count where user.user_id=$uid and count.user_id=$uid") or die('Can not select from COUNT table');
  list($ac_flag,$t_vis,$u_vis) = mysql_fetch_row($result);
  $res_lock = mysql_query("select lock_flag from server_set") or die('Can not select from Server Settings table');
  list($lock_flg) = mysql_fetch_row($res_lock);
  if ($lock_flg) { mysql_query("LOCK TABLES ip_table WRITE,count WRITE") or die('Can not LOCK table'); }
  mysql_free_result($res_lock);
  if ($ac_flag != 0) {
    $result = mysql_query("select ip from ip_table where user_id=$uid") or die('Can not select from IP table');
    while ($row = mysql_fetch_row($result))
      if (ereg($row[0],$REMOTE_ADDR)) $yes = 1;
    if ($yes != 1) {
      mysql_query("insert into ip_table values ($uid,'$REMOTE_ADDR')") or die('Can not insert into IP table');
      $u_vis = $u_vis + 1;
    }
    $t_vis = $t_vis + 1;
    mysql_query("update count set total_visitors=$t_vis,unique_visitors=$u_vis where user_id=$uid") or die('Can not update COUNT table');
  }
  if ($lock_flg) { mysql_query("UNLOCK TABLES") or die('Can not UNLOCK table'); }
  mysql_free_result($result);
}

// Add information to total_stats
$result = mysql_query("select t_impress,td_impress,td_clicks,tc_day from total_stats") or die('Can not select from Total stats table');
list($t_impress,$tday_impress,$td_clicks,$tcur_day) = mysql_fetch_row($result);
$c_day = date("j");
if ($c_day != $tcur_day) {
  if (!$debug_flag) echo "Debug info : place :  total_stats impressions<br>";
  $tday_impress = 1;
  $td_clicks    = 0;
}
else {
  $tday_impress = $tday_impress + 1;
}
$t_impress = $t_impress + 1;


if ($lock_flg) { mysql_query("LOCK TABLES total_stats WRITE,credits WRITE,
                              user WRITE,adv_time WRITE,credit_stats WRITE,
                              d_stats WRITE,h_stats WRITE") or die('Can not LOCK table'); }


mysql_query("update total_stats set t_impress=$t_impress,td_impress=$tday_impress,td_clicks=$td_clicks,tc_day=$c_day") or die('Can not update Total stats table');

// ----|     ratio
$result = mysql_query("select active_flag,wuser_id,impression,imp_ratio,category_id from user,credits,banner where user.user_id=$uid and credits.user_id=$uid and banner.user_id=$uid") or die('Can not select from Users, Credits and Banners tables');
list($act_flag,$wuser,$cred_impression,$impression_ratio,$site_category) = mysql_fetch_row($result);
if ($act_flag != 0) {
  $cred_impression = $cred_impression + $impression_ratio;
  mysql_query("update credits set impression=$cred_impression where user_id=$uid") or die('Can not update Credits table');

  // ----|    
  $la = date(Y."-".m."-".d);
  mysql_query("update user set last_activity='$la' where user_id=$uid") or die('Can not update Users table');

  // ----|   impressions credit ,   
  if ($wuser != 0) {
    // ----|  ,   referal ratio,impression credit  a_flag
    $result = mysql_query("select active_flag,impression,ref_ratio from user,credits where user.user_id=$wuser and credits.user_id=$wuser") or die('Can not select from Users and Credits tables');
    list($aw_flag,$w_impress,$ref_ratio) = mysql_fetch_row($result);
    if ($aw_flag != 0) {
      // ----| 
      $w_impress = $w_impress + $ref_ratio;
      if (!$debug_flag) {
        echo "Debug info : --- Wardship userID=$wuser ---<br>";
        echo "Debug info : --- Wardship user, +$ref_ratio impression credits ---<br>";
      }
      mysql_query("update credits set impression=$w_impress where user_id=$wuser") or die('Can not update Credits table');
    }
  }

  // ----| Affiliate credits
  $result = mysql_query("select count(user_id) from affiliate where user_id=$uid") or die('Can not select from Affiliate table');
  list($aff_num) = mysql_fetch_row($result);
  if ($aff_num > 0)
    mysql_query("update affiliate set afl_impress=afl_impress+1 where user_id=$uid") or die('Can not update Affiliate table');
  else
    mysql_query("insert into affiliate values ($uid,1,0)") or die('Can not insert into Affiliate table');
}
if (!$debug_flag) {
  echo "Debug info : place : site_category=$site_category<br>";
  $timer_count = new c_Timer; 
  $timer_count->start(); 
}
// ----| Count users
$result = mysql_query("select user_id from user where user_id!=$uid") or die('Can not select from USER table');
if (!$debug_flag) {
  $timer_count->stop();
  echo "<b>Total time for 'select user_id from user': ".$timer_count->elapsed()."</b><br>";
}

if (!($USERCOUNT = mysql_num_rows($result))) {
  // ----| No users :  -   
  // .plan
  //    0  url 
  //    0       
  //    

  if (!$debug_flag) echo "Debug info : place : USERCOUNT = 0<br>";
  if ($lock_flg) { mysql_query("UNLOCK TABLES") or die('Can not UNLOCK table'); }
  mysql_free_result($result);
  mysql_close($connect);
  if ($debug_flag) {
    Header("P3P: CP=\"UNI\"");
    SetCookie("t_uid$uid","0");
    SetCookie("b_uid$uid","0");
    SetCookie("url$uid","$bnet_url");
    SetCookie("time$uid",date("Y m d H i s"));
  }

  $target = "$banner_path".OWNER;
  if (!$debug_flag) {
    echo "Debug info : place : redirect to $target<br>";
    echo "Debug info : set URL: $bnet_url<br>";
    $timer->stop();
    echo "<b>Total time: ".$timer->elapsed()."</b><br>";
  }
  //else Header("Location: $target");

  $img_target    = "$banner_path".OWNER;
  $clk_target    = $bnet_url."eng_ad2clk.php?uid=$uid";
  $subimg_target = $bnet_url."images/network.gif";
  $subclk_target = $bnet_url."eng_ad2clk.php?uid=$uid";

  echo "document.write('<table border=0 width=100% cellspacing=0 cellpadding=0>');\n";
  echo "document.write('  <tr>');\n";
  echo "document.write('    <td width=100% align=center valign=bottom><a href=\"$clk_target\" target=\"_top\"><img src=\"$img_target\" border=\"0\" width=\"$banner_w\" height=\"$banner_h\"></a></td>');\n";
  echo "document.write('  </tr>');\n";
  echo "document.write('  <tr>');\n";
  echo "document.write('    <td width=100% align=center valign=top><a href=\"$subclk_target\" target=\"_top\"><img src=\"$subimg_target\" alt=\"$extitle\" border=\"0\" width=\"$mbanner_w\" height=\"$mbanner_h\"></a></td>');\n";
  echo "document.write('  </tr>');\n";
  echo "document.write('</table>');\n";

//  echo "document.write('<a href=\"$clk_target\" target=\"_top\">');\n";
//  echo "document.write('<img src=\"$img_target\" border=\"0\" width=\"$banner_w\" height=\"$banner_h\"></a><br>');\n";
//  echo "document.write('<a href=\"$subclk_target\" target=\"_top\">');\n";
//  echo "document.write('<img src=\"$subimg_target\" alt=\"$extitle\" border=\"0\" width=\"$mbanner_w\" height=\"$mbanner_h\"></a>');\n";

  exit();
}
else {
  $while_counter = $USERCOUNT;
  if (!$debug_flag) echo "Debug info : while_counter=$while_counter<br>";

  // ----| seed with microseconds since last "whole" second
  srand(make_seed());

  while($while_counter) {
    if (!$debug_flag) {
      echo "---------------------------------<br>";
      echo "Debug info : place : while circle<br>";
    }

    if (!$debug_flag) echo "Debug info : USERCOUNT = $USERCOUNT<br>";
    if ($USERCOUNT == 1) $randval = 0;
    else $randval = rand(0, $USERCOUNT-1);
    if (!$debug_flag) echo "Debug info : randval=$randval<br>";
    mysql_data_seek($result, $randval) or die('Can not move internal result pointer');
    list($b_uid) = mysql_fetch_row($result);
    $res_inf = mysql_query("select active_flag,click,impression from user,credits where user.user_id=$b_uid and credits.user_id=$b_uid") or die('Can not select from Users table');
    list($a_flag,$cred_click,$cred_impression) = mysql_fetch_row($res_inf);
    mysql_free_result($res_inf);

    // ----|   
    if ($a_flag) {
      if (!$debug_flag) {
        echo "Debug info : place : if (a_falg)<br>";
        echo "Debug info : a_flag=$a_flag<br>";
        echo "Debug info : b_uid=$b_uid<br>";
      }
      // ----| valid user :    
      if ($cred_impression < 1 && $cred_click < 1) {
        // ----|      
        if (!$debug_flag) echo "Debug info : place :      <br>";
        $while_counter = $while_counter - 1;
        continue;
      }
      else {
        if (!$debug_flag) echo "Debug info : place :    <br>";
        // ----| HERE :  
        // ----| Check category and advertising time
        // ----| $site_category
        $res_b = mysql_query("select url,banner_name,target_sites,acp_flag from banner where banner.user_id=$b_uid")
                 or die('Can not select from Banners table');
        list($target_url,$banner_name,$target_sites,$banner_flag) = mysql_fetch_row($res_b);
        mysql_free_result($res_b);

        // ----| Check accepted banner flag
        if (!$banner_flag) {
          // ----| ,  
          if (!$debug_flag) echo "Debug info : place : ,  <br>";
          $while_counter = $while_counter - 1;
          continue;
        }
        // $target_sites = "e[]=1&e[]=0&e[]=1&e[]=1...";
        parse_str($target_sites);
        if (!$debug_flag) {
          echo "Debug info : target_sites = ($target_sites)<br>";
          echo "Debug info : e[site_category] = $e[$site_category]<br>";
        }
        if ($e[$site_category-1] == 1) {
          // ----| fuck :         $e[]
          $e = "";
          if (!$debug_flag) echo "Debug info : place :       <br>";
          // ----|       

          // ----| check advertising time
          // ----|         
          if (date("H") < 12) $time = "am".date("H");
          else $time = "pm".date("H");
          if (!$debug_flag) echo "Debug info : time=$time<br>";

          // ----|   
          $res_atime = mysql_query("select ".$time.",c_time,ct_impress,j_impress,b_impress,lr_impress from adv_time,credit_stats where adv_time.user_id=$b_uid and credit_stats.user_id=$b_uid") or die('Can not select from Advertising time table');
          list($time_limit,$c_time,$ct_impressions,$j_impress,$b_impress,$lr_impress) = mysql_fetch_row($res_atime);
          //$res_atime = mysql_query("select ".$time.",c_time,ct_impress from adv_time where adv_time.user_id=$b_uid") or die('Can not select from Advertising time table');
          //list($time_limit,$c_time,$ct_impressions) = mysql_fetch_row($res_atime);
          mysql_free_result($res_atime);

          if (!$debug_flag) {
            echo "Debug info : Current_time_limit=$time_limit<br>";
            echo "Debug info : c_time=$c_time<br>";
            echo "Debug info : ct_impressions=$ct_impressions<br>";
          }

          if ($c_time != date("H")) {
            if (!$debug_flag) echo "Debug info : place :    <br>";
            // ----|    
            // ----|        
            $c_time = date("H");
            if (!$time_limit) $ct_impressions = $time_limit;
            else $ct_impressions = $time_limit - 1;
            if (!$debug_flag) echo "Debug info : ct_impressions=$ct_impressions<br>";
            mysql_query("update adv_time set c_time=$c_time,ct_impress=$ct_impressions where user_id=$b_uid") or die('Can not update Advertising time table');
          }
          else {
            // ----|    
            // ----|    
            if ($ct_impressions == 0) {
              // ----|  ,     
              if (!$debug_flag) {
                echo "Debug info : ct_impressions=$ct_impressions<br>";
                echo "Debug info : place :  ,     <br>";
              }
             $while_counter = $while_counter - 1;
              continue;
            }
            if (!$debug_flag) echo "Debug info : place :      <br>";
            $ct_impressions = $ct_impressions - 1;
            if (!$debug_flag) echo "Debug info : ct_impressions=$ct_impressions<br>";
            mysql_query("update adv_time set ct_impress=$ct_impressions where user_id=$b_uid") or die('Can not update ADV_TIME table');
          }

          // -...    banners- :)
          //    ,   

          // .plan
          //    impression credit (    )
          //    owner'  target url'
          //  
          //  
          //   

          if (!$debug_flag) echo "Debug info : place : BANNER SHOW<br>";
          if ($cred_impression) {
            $cred_impression = $cred_impression - 1;
            if (!$debug_flag) {
              echo "Debug info : place :  impression  -<br>";
              echo "Debug info : cred_impression = $cred_impression<br>";
            }
            mysql_query("update credits set impression=$cred_impression where user_id=$b_uid") or die('Can not update CREDITS table');
          }

          // ----| Add history information to Daily, Hourly and Credit Stats tables

          // ----| Credit Stats table
          //$result = mysql_query("select j_impress,b_impress,lr_impress from credit_stats where user_id=$b_uid") or die('Can not select from Credit Stats table');
          //list($j_impress, $b_impress, $lr_impress) = mysql_fetch_row($result);
          $j_impress = $j_impress + 1;
          $b_impress = $b_impress + 1;
          $lr_impress = $lr_impress + 1;
          mysql_query("update credit_stats set j_impress=$j_impress,b_impress=$b_impress,lr_impress=$lr_impress where user_id=$b_uid") or die('Can not update Credit Stats table');

          // ----| Daily table
          $c_month = date("m");
          $c_date = date("d");
          $result = mysql_query("select ds_string,lu_month from d_stats where user_id=$b_uid") or die('Can not select from Daily Stats table');
          list($ds_string,$lu_month) = mysql_fetch_row($result);
          parse_str($ds_string);
          if ($c_month != $lu_month) {
            // ----|   daily     
            for ($i=0; $i<=30; $i++) {
              if ($i == ($c_date-1))
                $d_str = $d_str."di[]=1";
              else
                $d_str = $d_str."di[]=0";
              // ----|    
              $d_str = $d_str."&dc[]=0";
              if ($i != 30) $d_str = $d_str."&";
            }
            if (!$debug_flag) echo "Debug info : d_str : $d_str<br>";
            mysql_query("update d_stats set ds_string='$d_str',lu_month=$c_month where user_id=$b_uid") or die('Can not update Daily Stats table after clear');
          }
          else {
            // ----| 
            for ($i=0; $i<=30; $i++) {
              if ($i == ($c_date-1)) {
                $di[$i] = $di[$i] + 1;
                $d_str = $d_str."di[]=".$di[$i];
              }
              else
                $d_str = $d_str."di[]=".$di[$i];
              // ----|     
              $d_str = $d_str."&dc[]=".$dc[$i];
              if ($i != 30) $d_str = $d_str."&";
            }
            if (!$debug_flag) echo "Debug info : d_str : $d_str<br>";
            mysql_query("update d_stats set ds_string='$d_str' where user_id=$b_uid") or die('Can not update Daily Stats table after add');
          }

          // ----| Hourly table
          $c_hour = date("H");
          $result = mysql_query("select hs_string,lu_day from h_stats where user_id=$b_uid") or die('Can not select from Hourly Stats table');
          list($hs_string,$lu_day) = mysql_fetch_row($result);
          parse_str($hs_string);
          if ($c_date != $lu_day) {
            // ----|   hourly     
            for ($i=0; $i<=23; $i++) {
              if ($i == $c_hour)
                $h_str = $h_str."hi[]=1";
              else
                $h_str = $h_str."hi[]=0";
              // ----|    
              $h_str = $h_str."&hc[]=0";
              if ($i != 23) $h_str = $h_str."&";
            }
            if (!$debug_flag) echo "Debug info : h_str : $h_str<br>";
            mysql_query("update h_stats set hs_string='$h_str',lu_day=$c_date where user_id=$b_uid") or die('Can not update Hourly Stats table after clear');
          }
          else {
            // ----| 
            for ($i=0; $i<=23; $i++) {
              if ($i == $c_hour) {
                $hi[$i] = $hi[$i] + 1;
                $h_str = $h_str."hi[]=".$hi[$i];
              }
              else
                $h_str = $h_str."hi[]=".$hi[$i];
              // ----|     
              $h_str = $h_str."&hc[]=".$hc[$i];
              if ($i != 23) $h_str = $h_str."&";
            }
            if (!$debug_flag) echo "Debug info : h_str : $h_str<br>";
            mysql_query("update h_stats set hs_string='$h_str' where user_id=$b_uid") or die('Can not update Hourly Stats table after add');
          }

          if ($lock_flg) { mysql_query("UNLOCK TABLES") or die('Can not UNLOCK table'); }
          mysql_free_result($result);
          mysql_close($connect);
          if ($debug_flag) {
            Header("P3P: CP=\"UNI\"");
            SetCookie("t_uid$uid","$uid");
            SetCookie("b_uid$uid","$b_uid");
            SetCookie("url$uid","$target_url");
            SetCookie("time$uid",date("Y m d H i s"));
          }

          $img_target    = "$banner_path"."$banner_name";
          $clk_target    = $bnet_url."eng_ad2red.php?t_uid=$uid&b_uid=$b_uid&t_url=$target_url";
          $subimg_target = $bnet_url."images/network.gif";
          $subclk_target = $bnet_url."eng_ad2clk.php?uid=$uid";

          echo "document.write('<table border=0 width=100% cellspacing=0 cellpadding=0>');\n";
          echo "document.write('  <tr>');\n";
          echo "document.write('    <td width=100% align=center valign=bottom><a href=\"$clk_target\" target=\"_top\"><img src=\"$img_target\" border=\"0\" width=\"$banner_w\" height=\"$banner_h\"></a></td>');\n";
          echo "document.write('  </tr>');\n";
          echo "document.write('  <tr>');\n";
          echo "document.write('    <td width=100% align=center valign=top><a href=\"$subclk_target\" target=\"_top\"><img src=\"$subimg_target\" alt=\"$extitle\" border=\"0\" width=\"$mbanner_w\" height=\"$mbanner_h\"></a></td>');\n";
          echo "document.write('  </tr>');\n";
          echo "document.write('</table>');\n";

//          echo "document.write('<a href=\"$clk_target\" target=\"_top\">');\n";
//          echo "document.write('<img src=\"$img_target\" border=\"0\" width=\"$banner_w\" height=\"$banner_h\"></a><br>');\n";
//          echo "document.write('<a href=\"$subclk_target\" target=\"_top\">');\n";
//          echo "document.write('<img src=\"$subimg_target\" alt=\"$extitle\" border=\"0\" width=\"$mbanner_w\" height=\"$mbanner_h\"></a>');\n";

          $target = "$banner_path"."$banner_name";
          if (!$debug_flag) {
            echo "Debug info : place : redirect to $target<br>";
            echo "Debug info : COOKIE T_UID: $uid<br>";
            echo "Debug info : COOKIE B_UID: $b_uid<br>";
            echo "Debug info : COOKIE URL: $target_url<br>";
            $timer->stop();
            echo "<b>Total time: ".$timer->elapsed()."</b><br>";
          }
          //else Header("Location: $target");
          exit();
        }
        else {
          $e = "";
          if (!$debug_flag) echo "Debug info : place :        <br>";
          $while_counter = $while_counter - 1;
          continue;
        }
      }
    }
    $while_counter = $while_counter - 1;
  }  // ----| while

  // ----| No users :  -    
  if (!$debug_flag) echo "Debug info : place :   while<br>";
  if ($lock_flg) { mysql_query("UNLOCK TABLES") or die('Can not UNLOCK table'); }
  mysql_free_result($result);
  mysql_close($connect);
  if ($debug_flag) {
    Header("P3P: CP=\"UNI\"");
    SetCookie("t_uid$uid","0");
    SetCookie("b_uid$uid","0");
    SetCookie("url$uid","$bnet_url");
    SetCookie("time$uid",date("Y m d H i s"));
  }
 
  $target = "$banner_path".OWNER;
  if (!$debug_flag) {
    echo "Debug info : place : redirect to $target<br>";
    echo "Debug info : set URL: $bnet_url<br>";
    $timer->stop();
    echo "<b>Total time: ".$timer->elapsed()."</b><br>";
  }
  //else Header("Location: $target");

  $img_target    = "$banner_path".OWNER;
  $clk_target    = $bnet_url."eng_ad2clk.php?uid=$uid";
  $subimg_target = $bnet_url."images/network.gif";
  $subclk_target = $bnet_url."eng_ad2clk.php?uid=$uid";

  echo "document.write('<table border=0 width=100% cellspacing=0 cellpadding=0>');\n";
  echo "document.write('  <tr>');\n";
  echo "document.write('    <td width=100% align=center valign=bottom><a href=\"$clk_target\" target=\"_top\"><img src=\"$img_target\" border=\"0\" width=\"$banner_w\" height=\"$banner_h\"></a></td>');\n";
  echo "document.write('  </tr>');\n";
  echo "document.write('  <tr>');\n";
  echo "document.write('    <td width=100% align=center valign=top><a href=\"$subclk_target\" target=\"_top\"><img src=\"$subimg_target\" alt=\"$extitle\" border=\"0\" width=\"$mbanner_w\" height=\"$mbanner_h\"></a></td>');\n";
  echo "document.write('  </tr>');\n";
  echo "document.write('</table>');\n";

//  echo "document.write('<a href=\"$clk_target\" target=\"_top\">');\n";
//  echo "document.write('<img src=\"$img_target\" border=\"0\" width=\"$banner_w\" height=\"$banner_h\"></a><br>');\n";
//  echo "document.write('<a href=\"$subclk_target\" target=\"_top\">');\n";
//  echo "document.write('<img src=\"$subimg_target\" alt=\"$extitle\" border=\"0\" width=\"$mbanner_w\" height=\"$mbanner_h\"></a>');\n";

  exit();
}

?>
